export function numberFormat(x) {
    return x?.toString()
        .replace(/^(0)+([1-9])/g, '$2')
        .replace(/(^.[0-9\,]*(\.\d+)?)(\.\d*)*/g, '$1')
        .replace(/\B(?=(\d{3})+(?!\d))/g, ',') || null;
}