import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';

@Component({
  selector: 'snse041',
  templateUrl: './snse041.component.html',
  styleUrls: ['./snse041.component.css']
})



export class SNSE041Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public headerList: any;
  public data: any;
  public dataList: any;
  public displayedColumns: string[] = [];
  public isCustomContent: boolean = false;
  public SelectList: any;
  public CustomerList: any = [];

  ngOnInit() {
    this.SelectList = [{ ID: 1, SELECT_CODE: "A001" }, { ID: 2, SELECT_CODE: "B002" }, { ID: 3, SELECT_CODE: "C003" }]
    this.data = [{
      ITEM: '1',
      QUANTITY: '1',
      RETAIL_PRICE: '1',
      DISC1: '1',
      DISC2: '1',
      DISC3: '1', 
      UNIT_PRICE: '1',
      AMOUNT: '1',
    },
    {
      ITEM: '12',
      QUANTITY: '12',
      RETAIL_PRICE: '12',
      DISC1: '12',
      DISC2: '12',
      DISC3: '12',
      UNIT_PRICE: '12',
      AMOUNT: '12',
    },
    {
      ITEM: '13',
      QUANTITY: '13',
      RETAIL_PRICE: '13',
      DISC1: '13',
      DISC2: '13',
      DISC3: '13',
      UNIT_PRICE: '13',
      AMOUNT: '13',
    },
    {
      ITEM: '14',
      QUANTITY: '14',
      RETAIL_PRICE: '14',
      DISC1: '14',
      DISC2: '14',
      DISC3: '14',
      UNIT_PRICE: '14',
      AMOUNT: '14',
      },
    ]
  }

}
