import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';

@Component({
  selector: 'snse063',
  templateUrl: './snse063.component.html',
  styleUrls: ['./snse063.component.css']
})



export class SNSE063Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router
  ) { }

  public headerList: any;
  public data: any;
  public dataList: any;
  public displayedColumns: string[] = [];
  public isCustomContent: boolean = false;
  public SelectList: any;
  public CustomerList: any = [];

  ngOnInit() {
    this.SelectList = [{ ID: 1, SELECT_CODE: "A001" }, { ID: 2, SELECT_CODE: "B002" }, { ID: 3, SELECT_CODE: "C003" }]
    this.data = [{
      ITEM: '1',
      PART_NAME: 'aaa',
      ORDER_QTY: '1',
      A_QTY: '1',
      RETAIL_PRICE: '1',
      DISC1: '1',
      DISC2: '1',
      DISC3: '1',
      UNIT_PRICE: '1',
      AMOUNT: '1',
    },
    {
      ITEM: '2',
      PART_NAME: 'ssss',
      ORDER_QTY: '12',
      A_QTY: '12',
      RETAIL_PRICE: '12',
      DISC1: '12',
      DISC2: '12',
      DISC3: '12',
      UNIT_PRICE: '12',
      AMOUNT: '12',
    },
    {
      ITEM: '3',
      PART_NAME: 'dddd',
      ORDER_QTY: '13',
      A_QTY: '13',
      RETAIL_PRICE: '13',
      DISC1: '13',
      DISC2: '13',
      DISC3: '13',
      UNIT_PRICE: '13',
      AMOUNT: '13',
    },
    {
      ITEM: '4',
      PART_NAME: 'fddsd',
      ORDER_QTY: '14',
      A_QTY: '14',
      RETAIL_PRICE: '14',
      DISC1: '14',
      DISC2: '14',
      DISC3: '14',
      UNIT_PRICE: '14',
      AMOUNT: '14',
    },
    ]
  }

}

