import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse143',
  templateUrl: './snse143.component.html',
  styleUrls: ['./snse143.component.css']
})



export class SNSE143Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;
  

  ngOnInit() {
   
    this.data = [{
      ROW_SEQ: '1', 
      PART_NUMBER: '1',
      ENGLISH_PART_NAME: '1',
      MODEL_SERIES_CODE: '1',
      BLOCK: '1',
      SALES_CODE: '1',
      SALES_CONDITIONS: '1',
      PARENT_PART_NUMBER: '1',
      MODEL_INFO_JPN_ID: '1',
      MODEL_INFO_CATALOG_MODEL: '1',
      MODEL_INFO_MODEL_YEAR: '1',
      MODEL_INFO_UNIT_SYMBOL: '1',
      PATTERN_NUMBER: '1',
      SALES_CHANNEL_N: '1',
      SALES_CHANNEL_M: '1',
      SALES_CHANNEL_S: '1',
      SALES_CHANNEL_P: '1',
      PART_CODE: '1',
      JAPANESE_PART_NAME: '1',
      DESCRIPTION_CODE: '1',
      SQUARES: '1',
      PRE_LIST_ITEM: '1',
      SQUARES_A: '1',
      SQUARES_B: '1',
      NEW_ITEM_SYMBOL: '1',
      ADOPTION_YEAR_MONTH: '1',
      ABOLISH_YEAR_MONTH: '1',
      JAPAN_PARTS_LETTER: '1',
      SPPS: '1',
      DESIGN_NOTE: '1',
      QUANTITY: '1',
      DRAWING_DRAWING_NUMBER: '1',
      DRAWING_DRAWING_CHANGE: '1',
      DESIGN_PART_NAME: '1',
      PARTS_SPECIFICATION: '1',
      FORMER_ALTERNATE: '1',
      ICA_NIO_1: '1',
      ICA_OIN_1: '1',
      COEFF_JP_P: '1',
      COEFF_OTHERS_P: '1',
      VITAL_PARTS: '1',
      SPC_BUKAN: '1',
      TRIM_COLOR_1: '1',
      TRIM_COLOR_2: '1',
      TRIM_COLOR_3: '1',
      TRIM_COLOR_4: '1',
      TRIM_COLOR_5: '1',
      TRIM_COLOR_6: '1',
      TRIM_COLOR_7: '1',
      TRIM_COLOR_8: '1',
      TRIM_COLOR_9: '1',
      TRIM_COLOR_10: '1',
      GENESIS_SOURCING_CODE: '1',
      GENESIS_RESP_GROUP_CODE: '1',
      ESTABLISHMENT_LOCATION: '1',
      CAR_PRODUCTION_LOCATION: '1',
      UNIT_PRODUCTION_LOCATION: '1',
      UNIT_PACKAGE_P: '1',
      NET_WEIGHT_P: '1',
      NEW_ALTERNATE: '1',
      ICA_OIN_2: '1',
      ICA_NIO_2: '1',
      DESIGN_PART_NUMBER: '1',
      AHQ_CODE: '1',
      MARKET_CODE_DM: '1',
      MARKET_CODE_EL: '1',
      MARKET_CODE_ER: '1',
      MARKET_CODE_GL: '1',
      MARKET_CODE_GR: '1',
      MARKET_CODE_US: '1',
      MARKET_CODE_CA: '1',
      MARKET_CODE_AR: '1',
      ORIGINAL_PART_NUMBER: '1',
      ICA_ORIGINAL: '1',
      VENDOR_CODE: '1',
      PLANT_ADOPT_STAT: '1',
      SECTION_NUMBER: '1',
      L_SERIES_CODE_EUR: '1',
      ALTERNATE_SOURCING_CODE: '1',
      GSC: '1',
      PROCUREMENT_HUB: '1',
      DESTINATION: '1',
      FILLER: '1',
      RECEIVED_TYPE: '1',
      RECEIVED_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
      LAST_UPD_BY: '1',
      LAST_UPD_DATE: '1',
    }
    ]

  }

}

