import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { Globals } from 'src/app/core/global';

@Component({
  selector: 'snse147',
  templateUrl: './snse147.component.html',
  styleUrls: ['./snse147.component.css']
})



export class SNSE147Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private route: ActivatedRoute,
    private global: Globals
  ) { 

  }

  public data: any;


  ngOnInit() {

    this.data = [{
      ROW_SEQ: '1',
      PART_NUMBER: '1',
      PART_NAME: '1',
      VENDOR_CODE: '1',
      YOUR_CODE: '1',
      ROLE_COUNTRY_CODE: '1',
      ROLE_NUMBER: '1',
      RECOMMEND_ID: '1',
      PROJECT_ID: '1',
      MODEL_CODE: '1',
      MODEL_YEAR: '1',
      MODEL_ADMINISTRATION_CODE: '1',
      CAR_PRODUCTION_COUNTRY: '1',
      SALES_COUNTRY: '1',
      PROCURMENT_COUNTRY: '1',
      DESIGN_SYMBOL: '1',
      FORECASTED_QTY: '1',
      MODIFICATION_COMPLETION: '1',
      MODIFICATION_REASON: '1',
      FIRM_FORECAST_DATE: '1',
      SHIPPING_DUE_DATE: '1',
      FINAL_DESTINATION: '1',
      UPDATE_DATE: '1',
      RECEIVED_STATUS: '1',
      CREATE_BY: '1',
      CREATE_DATE: '1',
      LAST_UPD_PGM: '1',
      LAST_UPD_BY: '1',
      LAST_UPD_DATE: '1',
    }
    ]

  }

}
