import { Component, OnInit } from "@angular/core";
import { HttpService } from '../../../core/http.service';
import { Router } from '@angular/router';
import { MatTableDataSource } from '@angular/material/table';


@Component({
    selector: 'snse152',
    templateUrl: 'SNSE152.component.html',
    styleUrls: ['SNSE152.component.css']
})

export class SNSE152Component implements OnInit {

    constructor(
        private http: HttpService,
        private router: Router
    ) { }

    public CustomerList: any;
    private loaded: boolean = false;

    public tableData: any;
    public tableName: string;
    public headerList: Array<any> = [];
    public dataList: any;
    public displayedColumns: string[] = [];

    ngOnInit() {

        this.getTableHeader();
        this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]

        this.tableData = [
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1

            }, {
                "ITEM": "B",
                "ORDER_PART_NO": "B",
                "PART_NAME": "B",
                "Quanitity": "B",
                "ORDER_CLASS": "B",
                "Group_Parts": "B",
                "Accepted_Qty": "B",
                "ROW_SEQ": "B",
                "FILE_ID": "B",
                "STATUS": 1
            },
            {
                "ITEM": "C",
                "ORDER_PART_NO": "C",
                "PART_NAME": "C",
                "Quanitity": "C",
                "ORDER_CLASS": "C",
                "Group_Parts": "C",
                "Accepted_Qty": "C",
                "ROW_SEQ": "C",
                "FILE_ID": "C",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            },
            {
                "ITEM": "A",
                "ORDER_PART_NO": "A",
                "PART_NAME": "A",
                "Quanitity": "A",
                "ORDER_CLASS": "A",
                "Group_Parts": "A",
                "Accepted_Qty": "A",
                "ROW_SEQ": "A",
                "FILE_ID": "A",
                "STATUS": 1
            }
        ]
        this.dataList = new MatTableDataSource<any>(this.tableData);

        this.loaded = true;
    }

    getTableHeader() {
        this.http.get("System", "GetHeaderGridView", 'SNSE152')
            .subscribe(result => {
                this.headerList = result.filter(v => v.VISIBILITY === true);
                this.displayedColumns = this.headerList.map(v => v.FIELD_NAME);
            })
    }




}
