import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms'
import { Router } from '@angular/router';
import { Observable, config } from 'rxjs';
import { MatTableDataSource } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';

@Component({
  selector: 'snse040',
  templateUrl: './SNSE040.component.html',
  styleUrls: ['./SNSE040.component.css']
})



export class SNSE040Component implements OnInit {

  constructor(
    private http: HttpService,
    private router: Router
  ) { }


  public CustomerList: any;
  private loaded: boolean = false;
  public tableData: any;
  public tableName: string;


  ngOnInit() {

    this.tableName = "ReportConfigure";
    this.CustomerList = [{ ID: 1, CUSTOMER_CODE: "AAA" }, { ID: 2, CUSTOMER_CODE: "BBB" }, { ID: 3, CUSTOMER_CODE: "CCC" }]

    this.tableData = [
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",


      }, {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",

      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",

      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",

      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",

      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      },
      {
        "Order_No": "A",
        "Order_Part_No": "A",
        "Accept_Part_No": "A",
        "Dangerous_Goods": "DG",
        "Bal_Qty": "A",
      }
    ]
    this.loaded = true;
  }








}
